package it.openutils.magnoliastripes.setup;

import info.magnolia.module.DefaultModuleVersionHandler;
import info.magnolia.module.InstallContext;
import info.magnolia.module.delta.AddMimeMappingTask;
import info.magnolia.module.delta.FilterOrderingTask;
import info.magnolia.module.delta.Task;

import java.util.List;


/**
 * @author fgiust
 * @version $Id: $
 */
public class StripesModuleVersionHandler extends DefaultModuleVersionHandler
{

    /**
     * {@inheritDoc}
     */
    @SuppressWarnings("unchecked")
    @Override
    protected List<Task> getBasicInstallTasks(InstallContext installContext)
    {
        List<Task> tasks = super.getBasicInstallTasks(installContext);

        tasks.add(new AddMimeMappingTask("action", "text/plain", "/.resources/file-icons/htm.png"));

        tasks.add(new FilterOrderingTask(
            "stripes",
            new String[]{"context", "login", "uriSecurity", "multipartRequest" }));

        return tasks;
    }
}
